<!-- =========================================================================================
    File Name: Transaction.vue
    Description: Transaction Page
========================================================================================== -->
<template>
  <div class="row sm-gutters transactions">
    <div class="col-md-3" v-if="!((data.action == 'Deposit') || (data.action == 'Withdraw'))">
        <b-card :title="`${data.title}`">
            <b-container>
                <b-row>
                    <b-col>
                        <b-form-group>
                            <b-form-checkbox-group
                                v-model="data.selected"
                                :options="data.options"
                                plain
                                stacked
                            ></b-form-checkbox-group>
                        </b-form-group>
                    </b-col>
                </b-row>
            </b-container>
        </b-card>
    </div>
    <div class="col-md-3" v-if="((data.action == 'Deposit') || (data.action == 'Withdraw'))">
      <b-card :title="`${data.title}`">
        <b-card-text class="label-balance-text">Available Balance</b-card-text>
        <b-card-text class="label-balance-amount">{{ `${data.currency} ${data.amount}` }}</b-card-text>
        <b-input-group class="mt-3 mb-3" :append="`${data.currency}`">
          <b-form-input></b-form-input>
        </b-input-group>
        <b-form-group label="Payment Method" class="payment-method">
          <b-form-radio 
            v-model="data.paymentMethod" 
            name="payment-method"   
            :value="method.name"
            v-for="(method, m) in data.bankMethods" :key="m"
            >{{ method.name }}</b-form-radio>
        </b-form-group>
        <b-form-group label="Bank Information" class="bank-information" v-if="(data.paymentMethod=='Bank Transfer') || (data.paymentMethod=='Korean Bank Transfer')">
          <b-form-group label="Bank Name" class="bank-details">
            <b-form-input></b-form-input>
          </b-form-group>
          <b-form-group label="Account Name" class="bank-details">
            <b-form-input></b-form-input>
          </b-form-group>
          <b-form-group label="Account Number" class="bank-details">
            <b-form-input></b-form-input>
          </b-form-group>
        </b-form-group>
        <b-form-group label="Address" class="btc-address" v-if="(data.paymentMethod == 'Blockchain') && (data.action == 'Withdraw')">
            <b-form-input placeholder="Enter your BTC Address"></b-form-input>
          </b-form-group>
        <b-button variant="primary">
          {{ data.action }}
        </b-button>
      </b-card>
    </div>
    <div class="col-md-9">
      <b-card :title="data.header" class="history-header">
        <b-container>
          <b-row>
            <b-col class="pl0 pr0">
              <b-card class="history">
                <b-container fluid>
                  <b-row>
                    <b-col class="pl0">
                      <b-pagination
                        v-model="data.currentPage"
                        :total-rows="data.rows"
                        :per-page="data.perPage"
                        aria-controls="my-table"
                      ></b-pagination>
                    </b-col>
                    <b-col class="pr0">
                      <b-input-group>
                        <b-form-input placeholder="Search..."></b-form-input>
                        <b-input-group-append>
                          <b-button variant="info">Export as CSV</b-button>
                        </b-input-group-append>
                      </b-input-group>
                    </b-col>
                  </b-row>
                  <b-row class="data-transactions pt15">
                    <data-table 
                        :headers="data.headers"
                        :items="data.items"
                    ></data-table>
                  </b-row>
                  <b-row class="mt10">
                    <b-col cols="6" class="pl0">                      
                    </b-col>
                    <b-col cols="6" class="paginate">
                      <b-pagination
                        v-model="data.currentPage"
                        :total-rows="data.rows"
                        :per-page="data.perPage"
                        aria-controls="my-table"
                      ></b-pagination>
                    </b-col>
                  </b-row>
                </b-container>
              </b-card>
            </b-col>
          </b-row>
          <b-row v-if="((data.action == 'Deposit') || (data.action == 'Withdraw'))">
            <b-col class="pl0 mt15">
              <b-button variant="info" @click="$router.push('/transactions')">
                  See All Transactions
              </b-button>
            </b-col>
          </b-row>
        </b-container>
      </b-card>
      
    </div>
  </div>
</template>
<script>

import DataTable from './DataTable';

export default {
  name: 'Deposits',
  layout: 'ExchangeLayout',
  props: ['data'],
  asyncData ({ redirect }) {
    //return redirect('/user/profile');
  },
    components: {
      DataTable
    },
    data() {
        return {
        }
    }
}
</script>

<style lang="scss">

@import "~/assets/scss/dark-themes.scss";

#dark {
    .transactions {
        .history-header {
            .card-title {
                padding-left: 15px;
            }
        }
        .card {
            background: $bg-dark;
            box-shadow: $bg-shadow;
            border-radius: 5px;
        }
        .card-title,
        .card-text,
        .card-text {
            color: $color-font-light;
        }
        .card-text {
            &.label-balance-text {
                margin-bottom: 0;
            }
            &.label-balance-amount {
                font-weight: 900;
                font-size: 20px;
            }
        }
        .form-group {
            color: $color-font-light;
            &.payment-method legend {
                font-size: 18px;
                font-weight: bold;
            }
            &.bank-information {
                legend {
                    font-size: 18px;

                    .bold-text {
                        font-weight: bold;
                    }
                }
            }
            .bank-details legend {
                font-weight: normal;
                font-size: 14px;
            }
        }
        .pagination {
            .page-link {
                background: $bg-dark;
                color: $color-font-light;
            }
            .page-item.active .page-link {
                background: $bg-light;
                color: $color-font-dark;
                border: 1px solid $bg-light;
            }
        }
        .paginate {
            display: flex;
            justify-content: flex-end;
        }
        .data-transactions {
            overflow: scroll;
            margin-bottom: 10px;
            .data-table {
                width: 100%;
            }
        }
        .history {
            box-shadow: $bg-light 0px 2px 13px -6px;
        }
        .input-group-text {
            color: $color-font-light;
            background: #007bff;
            border-color: #007bff;
        }
    }
}

</style>
